
QGIS Application - Bug report #13219

Add new legend, Columns radio buttons backwards

2015-08-14 06:58 AM - Philip Tait

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21280

Description

Hello,  I hope i'm in the right place for this issue.  Nothing big, I just noticed that the two radio buttons ('Equal column widths' and 'Split

Layers') in the column section of the Legend might be backwards to what they represent when they are checked.  Thank you

History

#1 - 2015-08-15 11:37 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce - can you please check:

- Add a categorised layer to your map

- Add a composer legend

- Increase number of columns in legend, and try toggling the two options. Split layers should allow the categorised layer to split over the columns.

#2 - 2015-08-17 12:51 AM - Philip Tait

- % Done changed from 0 to 50

- Target version set to Version 2.10

- File split_layers_equal_columns.jpg added

- File split_layers.jpg added

- File original_legend.jpg added

- File equal_columns.jpg added

Hi Nyall, thanks for helping with this.  Bizarrely equal column widths is working like it's meant to. but there is still no change to split layers.  Please see the

attached images so you can see my results.

If you can see the split layers jpg I've added, the "woodland" category should not be above the mastermap layer when 'split layers' is turned on should it?

#3 - 2015-10-13 10:11 AM - Saber Razmjooei

- Category changed from Build/Install to Map Composer/Printing

- % Done changed from 50 to 0

- Status changed from Feedback to Open

#4 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#5 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
